Package: org.gradle.api.plugins.quality

## [Groovy] Class JDepend

- org.gradle.api.plugins.quality.JDepend

- All Implemented Interfaces and Traits:
    Reporting

      class JDepend
      extends DefaultTask

  Analyzes code with JDepend.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `File` | `classesDir` The directory containing the classes to be analyzed.
    `FileCollection` | `jdependClasspath` The class path containing the JDepend library to be used.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JDepend ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `IsolatedAntBuilder` | `getAntBuilder()`
    `File` | `getClassesDir()` Returns the directory containing the classes to be analyzed.
    `Instantiator` | `getInstantiator()`
    `JDependReports` | `getReports()` The reports to be generated by this task.
    `JDependReports` | `reports(Closure closure)` Configures the reports to be generated by this task.
    `void` | `run()`

- - ### Property Detail

    - #### @InputDirectory File classesDir

      The directory containing the classes to be analyzed.

    - #### @InputFiles FileCollection jdependClasspath

      The class path containing the JDepend library to be used.

  - ### Constructor Detail

    - #### JDepend()

  - ### Method Detail

    - #### @Inject IsolatedAntBuilder getAntBuilder()

    - #### @SkipWhenEmpty File getClassesDir()

      Returns the directory containing the classes to be analyzed.

    - #### @Inject Instantiator getInstantiator()

    - #### JDependReports getReports()

      The reports to be generated by this task.

      Returns:
        The reports container.

    - #### JDependReports reports(Closure closure)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

           jdependTask {
             reports {
               xml {
                 destination "build/jdepend.xml"
               }
             }
           }

      Parameters:
        `closure` - The configuration
      Returns:
        The reports container

    - #### @TaskAction void run()